Subject: bug#31763: 26.1; Unable to visit git revision in compact-style vc log buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Jun 2018 19:52:29 +0300

> From: Carlos Pita <[email-masked]>
> Date: Fri, 08 Jun 2018 16:09:16 -0300
> 
> I created a test git repo, add a file, make a few changes, commit a few
> revisions. Now I open the compact log buffer for the file (C-x v L) and
> when I try to visit a revision (f) I get, for instance:
> 
>   Checking out /tmp/repo/.~69ad211~...
>   vc-find-backend-function: Cannot open load file: No such file or directory, vc-nil

Invoking 'f' from the log shown by "C-x v L" (and also "C-x v b")
makes no sense:  one cannot "visit the version" except in the context
of a specific file or a set of files.  And "C-x v L" is not about a
file, it's about the whole tree.  Without a specific file,
log-view-find-revision cannot show anything sensible, even if we fix
the vc-nil problem.

Btw, it looks like this command never worked from these two varieties
of log buffers.

My suggestion is to bind 'f' in these two kinds of listings to a
different command, which would ask the user what file to show at that
revision.